/***************************************************************/
//
//
//		DirectX	[select_mode.cpp]
//
//											Author	kazuki tanaka
//											Date	2016 08/19
/*---------------------------------------------------------------
■Update : 2016/08/19

/*---------------------------------------------------------------
	インクルードファイル
---------------------------------------------------------------*/
#include "main.h"
#include "select_mode_background.h"
#include "select_mode_logo.h"
#include "select_menu.h"

#include "unitychan_animation.h"

#include "sound.h"

#include "input.h"

/*---------------------------------------------------------------
	マクロ定義
---------------------------------------------------------------*/
#define SELECT_SOUND ( 6 ) 

#define ENTER_SOUND ( 0 )

/*---------------------------------------------------------------
	定数定義
---------------------------------------------------------------*/

// 初期化処理
void InitSelectMode( void )
{

	// 各関数の初期化処理
	InitSelectModeBackground( );
	InitSelectModeLogo( );
	InitSelectMenu( );

	//InitUnitychanAnimation( );

	DeleteAudio( 0 );
	SetAudio( 0 );

	// エンディングミュージックの再生
	//PlaySound( SelectMode_SOUND, false );

}

// 終了処理
void UninitSelectMode(void)
{

	// 各関数の解放処理
	UninitSelectModeBackground( );
	UninitSelectModeLogo( );
	UninitSelectMenu( );

	//UninitUnitychanAnimation( );

	// 音楽の停止
	//StopSound( SelectMode_SOUND );

}

// 更新処理
void UpdateSelectMode( void )
{

	// 各関数の更新処理
	UpdateSelectModeBackground( );
	UpdateSelectModeLogo( );
	UpdateSelectMenu( );

	//UpdateUnitychanAnimation( );

	if( GetKeyboardPress( DIK_SPACE ) ){
	
		PlayOneShotSoundEffect( ENTER_SOUND );
	}

	// ボリュームの変更
	ControlVolume( SELECT_SOUND );

}

// 描画処理
void DrawSelectMode ( void )
{

	// 各関数の描画処理
	DrawSelectModeBackground( );
	DrawSelectModeLogo( );
	DrawSelectMenu( );

	//DrawUnitychanAnimation( );

}
   
